Class UmlBaseActivityAction

Declaration :

- C++ : class UmlBaseActivityAction : public UmlActivityNode
- Java : abstract class UmlBaseActivityAction extends UmlActivityNode

Directly inherited by : UmlActivityAction

Artifact : UmlBaseActivityAction

Operation UmlBaseActivityAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseActivityAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseActivityAction(void * id, const QCString & s) : UmlActivityNode(id, s)
- Java : protected UmlBaseActivityAction(long id, String s)

Operation preCondition

return the pre condition

Declaration :

- Uml : + preCondition() : string
- C++ : public: const QCString & preCondition()
- Java : public String preCondition()

Operation set_PreCondition

set the pre condition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_PreCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_PreCondition(const char * v)
- Java : public void set_PreCondition(String v) throws RuntimeException

Operation postCondition

return the post condition

Declaration :

- Uml : + postCondition() : string
- C++ : public: const QCString & postCondition()
- Java : public String postCondition()

Operation set_PostCondition

set the post condition
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_PostCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_PostCondition(const char * v)
- Java : public void set_PostCondition(String v) throws RuntimeException

Operation cppPreCondition

return the pre condition in C++

Declaration :

- Uml : + cppPreCondition() : string
- C++ : public: const QCString & cppPreCondition()
- Java : public String cppPreCondition()

Operation set_CppPreCondition

set the pre condition in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppPreCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppPreCondition(const char * v)
- Java : public void set_CppPreCondition(String v) throws RuntimeException

Operation cppPostCondition

return the post condition in C++

Declaration :

- Uml : + cppPostCondition() : string
- C++ : public: const QCString & cppPostCondition()
- Java : public String cppPostCondition()

Operation set_CppPostCondition

set the post condition in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppPostCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppPostCondition(const char * v)
- Java : public void set_CppPostCondition(String v) throws RuntimeException

Operation javaPreCondition

return the pre condition in Java

Declaration :

- Uml : + javaPreCondition() : string
- C++ : public: const QCString & javaPreCondition()
- Java : public String javaPreCondition()

Operation set_JavaPreCondition

set the pre condition in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaPreCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaPreCondition(const char * v)
- Java : public void set_JavaPreCondition(String v) throws RuntimeException

Operation javaPostCondition

return the post condition in Java

Declaration :

- Uml : + javaPostCondition() : string
- C++ : public: const QCString & javaPostCondition()
- Java : public String javaPostCondition()

Operation set_JavaPostCondition

set the post condition in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaPostCondition(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaPostCondition(const char * v)
- Java : public void set_JavaPostCondition(String v) throws RuntimeException

Operation constraint

return the constraint

Declaration :

- Uml : + constraint() : string
- C++ : public: const QCString & constraint()
- Java : public String constraint()

Operation set_Constraint

set the constraint
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Constraint(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Constraint(const char * v)
- Java : public void set_Constraint(String v) throws RuntimeException

Operation associatedDiagram

returns the optional associated diagram

Declaration :

- Uml : + associatedDiagram() : UmlDiagram
- C++ : public: UmlDiagram * associatedDiagram()
- Java : public UmlDiagram associatedDiagram()

Operation set_AssociatedDiagram

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDiagram(in d : UmlDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlDiagram * d)
- Java : public void set_AssociatedDiagram(UmlDiagram d) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribute _pre_condition

Declaration :

- Uml : - _pre_condition : string
- C++ : private: QCString _pre_condition
- Java : private String _pre_condition

Attribute _post_condition

Declaration :

- Uml : - _post_condition : string
- C++ : private: QCString _post_condition
- Java : private String _post_condition

Attribute _cpp_pre_condition

Declaration :

- Uml : - _cpp_pre_condition : string
- C++ : private: QCString _cpp_pre_condition
- Java : private String _cpp_pre_condition

Attribute _cpp_post_condition

Declaration :

- Uml : - _cpp_post_condition : string
- C++ : private: QCString _cpp_post_condition
- Java : private String _cpp_post_condition

Attribute _java_pre_condition

Declaration :

- Uml : - _java_pre_condition : string
- C++ : private: QCString _java_pre_condition
- Java : private String _java_pre_condition

Attribute _java_post_condition

Declaration :

- Uml : - _java_post_condition : string
- C++ : private: QCString _java_post_condition
- Java : private String _java_post_condition

Attribute _constraint

Declaration :

- Uml : - _constraint : string
- C++ : private: QCString _constraint
- Java : private String _constraint

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlDiagram
- C++ : private: UmlDiagram * _assoc_diagram
- Java : private UmlDiagram _assoc_diagram

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload